Name:           repsnapper
Version:        2.5a5
Release:        %mkrel 5
Summary:        RepRap control software

# repsnapper is GPLv2 as noted in licensing.txt
#
# arcball.cpp and arcball.h are
#      (C) 1999-2003 Tatewake.com and licensed under the MIT license
#      as noted in licensing.txt
#
# Several functions in slicer/geometry.cpp are licensed with non stock MIT-like license
#      as noted in licensing.txt
#      and attached e-mail
#
# Icon is CC-BY, infile metadata
License:        GPLv2 and MIT and softSurfer and CC-BY
Group:          Graphics/Editors and Converters
URL:            https://github.com/timschmidt/%{name}
Source0:        https://github.com/timschmidt/repsnapper/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-softsurfer-copyright-email.txt
Patch0:		0001-catch-by-reference-fixes-124.patch
Patch1:         repsnapper-use-system-libs.patch
Patch2:		repsnapper-new-lmfit.patch
BuildRequires:  amftools-devel
BuildRequires:  cairomm-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  gettext
BuildRequires:  glibmm2.4-devel
BuildRequires:  glib2-devel
BuildRequires:  gtkglext-devel
BuildRequires:  gtkglextmm-devel >= 1.2
BuildRequires:  gtkmm2.4-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  lmfit-devel
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(polyclipping) >= 5.1
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  rapidxml-devel
BuildRequires:  pkgconfig(vmmlib)

%description
RepSnapper is a host software for controlling the RepRap 3D printer.

%prep
%setup -q
%autopatch -p1

cp %SOURCE1 .

## ## {name}-use-system-libs.patch
## Fedora removes this libs, but the pacakge doesn't build without.
rm -rf libraries/{clipper,vmmlib,amf,lmfit,poly2tri}

# Remove license information of bundled libs
rm -f licenses/{BSL-1.0.txt,LGPL-2.0.txt,vmmlib-license.txt}
grep -v VMMLib licensing.txt > licensing-no-vmmlib.txt && mv -f licensing-no-vmmlib.txt licensing.txt

# Move it to Graphics category
sed -i 's/Utility;/Graphics;/' %{name}.desktop.in
sed -i 's/_Name=%{name}/_Name=RepSnapper/' %{name}.desktop.in

%build
export CXXFLAGS="%{optflags} -Wno-deprecated-declarations"
./autogen.sh
%configure --enable-shared --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc HACKING licensing.txt README.asciidoc TODO todo.txt licenses %{name}-softsurfer-copyright-email.txt
%config(noreplace) %{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/repsnapper.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.5a5-5.mga8
+ Revision: 1519239
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 07 2018 wally <wally> 2.5a5-4.mga7
+ Revision: 1318467
- rebuild for arm

* Fri Oct 05 2018 wally <wally> 2.5a5-3.mga7
+ Revision: 1318020
- add a slightly modified patch from Fedora to build with system libs
- add patch to fix build with new lmfit

* Sun Sep 23 2018 umeabot <umeabot> 2.5a5-2.mga7
+ Revision: 1300818
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 2.5a5-1.mga7
+ Revision: 1220227
- Update to version 2.5a5

* Sat Dec 30 2017 wally <wally> 2.4a0-6.mga7
+ Revision: 1187976
- rebuild for new libzip

* Sat May 06 2017 luigiwalser <luigiwalser> 2.4a0-5.mga6
+ Revision: 1099332
- add patch to fix compile error because gio file is not int
+ akien <akien>
- Drop Fedoraisms

* Sun Apr 24 2016 akien <akien> 2.4a0-4.mga6
+ Revision: 1005875
- Rebuild for new poly2tri

* Wed Jan 06 2016 spuhler <spuhler> 2.4a0-3.mga6
+ Revision: 919942
- changed %%configure to %%configure2_5x to make it build
- fix BuildRequires:  pkgconfig(libxml++-2.6)
- fix BuildRequires:  pkgconfig(libxml++-3.0)
- remove obsoleted patch "lmfit50.patch"

* Fri Nov 20 2015 spuhler <spuhler> 2.4a0-2.mga6
+ Revision: 904448
- removed obsolete patches

* Fri Nov 20 2015 spuhler <spuhler> 2.4a0-1.mga6
+ Revision: 904443
- added gcc52.patch
- upgrade to vers. 2.4a0
- updated system-libs.patch from Fedora
- added CXXFLAGS="-std=gnu++11" to %%make
+ daviddavid <daviddavid>
- rebuild for new libzip 1.0.1
+ tv <tv>
- revert
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.3.2a5-3.mga5
+ Revision: 741075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.2a5-2.mga5
+ Revision: 688659
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 spuhler <spuhler> 2.3.2a5-1.mga5
+ Revision: 633876
- first release after import from Fedora and upgrade to 2.3.2a5
- imported package repsnapper


* Tue Aug 27 2013 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-0.6.b3
- New upstream betaversion
- Rebuild for new lmfit, added patch to support it

* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 2.2.0-0.5.a4
- rebuild for new libzip

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-0.4.a4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-0.3.a4
- Rebuilt for new polyclipping

* Mon Jun 03 2013 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-0.2.a4
- Tag 2.2.0a4
- Fixed the font bug (#969624)

* Wed May 08 2013 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-0.1.a2
- Updated to 2.2.0a2
- Removed adding icon manually, as it is in this release
- Added e-mail with updated copyright information of softSurfer code

* Tue Feb 05 2013 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-5
- Moved %%find_lang to %%install

* Tue Feb 05 2013 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-4
- Using new RepSnapper icon

* Thu Jan 31 2013 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-3
- Using system vmmlib, amftools, lmfit, poly2tri
- Polished description a bit
- Change name in .desktop to RepSnapper
- Added comment about license
- Using %%config(noreplace)
- Added icons from #679273

* Wed Jan 30 2013 Volker Fröhlich <volker27@gmx.at> - 2.1.0-2
- Correct patch to link polyclipping
- Make build verbose

* Tue Jan 29 2013 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-1
- Chnaged source to respect GitHub rule
- Dropped %%{?_isa} from BRs
- Dropped group
- Added things to %%doc
- desktop-file-validate
- Using %%{name} macro in %%files
- Changing desktop file category to Multimedia, as at all others RepRap tools
- Using system clipper/polyclipping

* Wed Oct 24 2012 Alon Levy <alevy@redhat.com> - 2.1.0b02-3
- added missing dependencies for mock build

* Tue Oct 23 2012 Alon Levy <alevy@redhat.com> - 2.1.0b02-2
- Address review comments

* Mon Oct 22 2012 Alon Levy <alevy@redhat.com> - 2.1.0b02-1
- Initial spec file submitted for review
